#include "funcs.h"
#include <iostream>


int main() {
	bool isEnd = 0;
	std::vector<int> vec;
	std::vector<int> res;
	std::ifstream file;
	int choice;
	while (!isEnd) {
		std::cout << "MENU" << std::endl
			<< "1 - create data(with file stream)" << std::endl
			<< "2 - create data(witn generate)" << std::endl
			<< "3 - load data by(with file stream)" << std::endl
			<< "4 - load data (with copy)" << std::endl
			<< "5 - modify(ver 1)" << std::endl
			<< "6 - modify(ver 2)" << std::endl
			<< "7 - modify(ver 3)" << std::endl
			<< "8 - modify(ver 4)" << std::endl
			<< "9 - output result(with file stream) " << std::endl
			<< "10 - output result(with copy)" << std::endl
			<< "0 - exit" << std::endl;
		std::cin >> choice;
		switch (choice) {
		case 1:
			createDataWithStream();

			break;
		case 2:
			createDataWithGenerate();

			break;

		case 3:
			loadDataWithStream(vec);
			for (const auto& el : vec) {
				std::cout << el << " ";
			}
			break;

		case 4:
			loadDataWithCopy(vec);
			for (const auto& el : vec) {
				std::cout << el << " ";
			}
			break;


		case 5:
			res = modify1(vec);
			for (const auto& el : res) {
				std::cout << el << " ";
			}
			outputResultStream(res);
			break;
		case 6:
			modify2(vec.begin(), vec.end());
			for (const auto& el : vec) {
				std::cout << el << " ";
			}
			outputResultStream(vec);
			break;
		case 7:
			modify3(vec);
			for (const auto& el : vec) {
				std::cout << el << " ";
			}
			outputResultStream(vec);
			break;
		case 8:
			modify4(vec);
			for (const auto& el : vec) {
				std::cout << el << " ";
			}
			outputResultStream(vec);
			break;
		case 9:
			outputResultStream(vec);

			break;
		case 10:
			outputResultCopy(vec);

			break;
		case 0:
			isEnd = 1;
			break;
		default:
			std::cout << "Choose one of the available options" << std::endl;
			break;
		}
	}

	return 0;
}
