#include"tour.h"
#include"file.h"


int main() {
    bool isEnd = 0;
    int choice;
    int find_num;
    std::string filename;
    tour new_tour;
    std::string find_text;
    std::cout << "Enter the filename" << std::endl;
    std::cin >> filename;
    file F(filename);
    while (!isEnd) {
        std::cout << "MENU" << std::endl
            << "1  to add data" << std::endl
            << "2  to delete data" << std::endl
            << "3  to replace data" << std::endl
            << "4  to convert file to a text" << std::endl
            << "5  to search by tour name" << std::endl
            << "6  to search by clients surname" << std::endl
            << "7  to search by travel price" << std::endl
            << "8  to search by days of trip" << std::endl
            << "0  to exit" << std::endl;
        std::cin >> choice;
        switch (choice) {
        case(1):
            F.addData();
            break;
        case(2):
            std::cout << "Enter the id of tour to delete it" << std::endl;
            std::cin >> find_num;
            F.deleteData(find_num);
            break;
        case(3):
            std::cout << "Enter the id of tour to replace it" << std::endl;
            std::cin >> find_num;
            std::cout << "Enter the information of new tour" << std::endl;
            std::cout << "Enter tour name, clients surname, price for one day, days of trip, travel price, rate, currency amount, trip price" << std::endl;
            std::cin >> new_tour;
            F.replaceData(find_num, new_tour);
            break;
        case(4):
            F.toText();
            break;
        case(5):
            std::cout << "Enter the tour name to find it" << std::endl;
            std::cin >> find_text;
            F.searchByName(find_text);
            break;
        case(6):
            std::cout << "Enter the clients surname" << std::endl;
            std::cin >> find_text;
            F.searchBySurname(find_text);
            break;
        case(7):
            std::cout << "Enter the travel price" << std::endl;
            std::cin >> find_num;
            F.searchByTravelPrice(find_num);
            break;
        case(8):
            std::cout << "Enter the days of trip" << std::endl;
            std::cin >> find_num;
            F.searchByDays(find_num);
            break;
        case(0):
            isEnd = 1;
            break;
        default:
            std::cout << "Choose one of the available options" << std::endl;
        }
    }
    return 0;
}
